Page MenuHomeFreeBSD

FFS/UFS snapshots: improve documentation for removal (deletion) and unlinking
ClosedPublic

Authored by darius-dons.net.au on Feb 28 2023, 3:16 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 3, 12:32 AM
Unknown Object (File)
Sun, Jun 2, 5:55 AM
Unknown Object (File)
May 10 2024, 9:45 PM
Unknown Object (File)
May 10 2024, 9:31 AM
Unknown Object (File)
May 9 2024, 6:32 AM
Unknown Object (File)
May 2 2024, 12:33 PM
Unknown Object (File)
May 1 2024, 12:03 PM
Unknown Object (File)
Apr 27 2024, 1:53 PM

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

sbin/mksnap_ffs/mksnap_ffs.8
51

"system. Typically,"

52

"system, but"

52

New sentences should start on new lines, so move "Snapshots can" to the start of the next line.

57
After a snapshot is taken, it appears as a file.
The file is the size of the filesystem from which it was taken.
It can be moved, renamed, or deleted (which removes the snapshot).
This revision is now accepted and ready to land.Feb 28 2023, 3:36 AM
mhorne added inline comments.
sbin/mksnap_ffs/mksnap_ffs.8
52

You can use the .Pa (file path) macro for .snap.

I would also suggest being explicit here and saying: "the .snap directory in the root..."

70

Man pages don't get blank lines. mandoc -Tlint will warn you about this.

80

Same here, probably you want .Pp.

These changes look good to me. Only change is to eliminate the blank lines.

This revision now requires review to proceed.Mar 4 2023, 1:24 AM
sbin/mksnap_ffs/mksnap_ffs.8
52

What @mhorne said ; use .Pa and "directory". So that would be:

Typically, this is under the
.Pa .snap
directory in the root of the filesystem, but it can
be anywhere.
59

"sysem" -> "system"

sbin/mksnap_ffs/mksnap_ffs.8
5

"under the"

  • Sorry 🤦‍♂️
This revision is now accepted and ready to land.Mar 4 2023, 6:26 PM

I concur with the revisions. Glad to see this being done.

This revision was automatically updated to reflect the committed changes.